
#ifndef __LLCONF_H__
#define __LLCONF_H__
typedef struct llc_var {
	char name[64];
	char value[256];
	llc_var *next;
};
typedef struct llc_cat {
	char name[64];
	llc_var *vars;
	llc_cat *next;
};
typedef struct llc_list {
	char name[64];
	llc_cat *cats;
	llc_list *next;
};

llc_list *conf_load(char *file);
llc_cat *conf_load_file(char *file);

char *conf_find_val(char *value, llc_list *root_list, char *listname,
		    char *catname, char *varname);
char *conf_find_val(char *value, llc_cat *root_cat,
		    char *catname, char *varname);
char *conf_find_val(char *value, llc_cat *cat, char *varname);

llc_cat *conf_find_cat(llc_cat *root_cat, char *catname);
llc_list *conf_find_list(llc_list *root_list, char *listname);

void conf_release_list( llc_list *list );

#endif
